.pt-o-game-fill-in-colour-2 {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  &__container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

  }

  &__right {
    position: relative;
    max-width: 100%;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background: $white;
    border-radius: 1.2rem;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';

    & > .__header {
      padding: 1.6rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      color: $white;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 2.2rem;
      position: relative;
      text-align: center;
      max-height: 8.6rem;
      overflow: auto;
      &::-webkit-scrollbar {
        width: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 10px;
        margin-top: 1rem;
        margin-bottom: 1rem;
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 10px;
      }
    }

    & > .__content {
      padding: 1.2rem 0.6rem;
      flex: 1;
      position: relative;
      display: flex;
      justify-content: space-around;
      align-items: center;
      background-color: #d4f1ff;
      height: calc(100% - 8.6rem);
      -webkit-touch-callout: none;
      -webkit-user-select: none;
      -khtml-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      outline: 0;
      border-radius:0 0 1.2rem 1.2rem;

      .__temp_column, .__content_colour{
        width: 100px;
        height: 100%;
      }
      .__content_colour{
        background-color: white;
        border-radius: 8px;
        padding: 1.2rem 0.6rem 0 0.6rem;
        box-shadow: 2px 2px 6px  #b4c7e0;
        overflow: auto;

        &::-webkit-scrollbar {
          width: 3px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
        .__colour_list{
          display: flex;
          flex-wrap: wrap;
          justify-content: space-around;
        }
        .__colour_item{
            cursor: pointer;
            height: 32px;
            width: 32px;
            border-radius: 50%;
            box-shadow: 0 0 0 1px #d4dde7;
            margin-bottom: 1rem;

            display: flex;
            justify-content: center;
            align-items: center;

            .icon-selected{
              height: 8px;
              width: auto;
              visibility: hidden;
            }
            
        }

        .__remove_colour_wrap{
          display: flex;
          justify-content: center;
          align-items: center;
          border-top: 2px solid #d4f1ff;
          padding: 2.8rem 0;
        }
        .__remove_colour{
          height: 32px;
          width: 32px;
          cursor: pointer;
        }
      }

        .__content_image{
          width: calc(100% - 250px);
          height: 100%;
          background-color: white;
          display: flex;
          justify-content: center;
          align-items: center;
          border-radius: 8px;
          .wrap-image{
            max-height: 100%;
            position: relative;
            .image-instruction{ 
                max-width: 100%;
                max-height: 100%;
                object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              bottom: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
              z-index: 2;
            }
            .item-image{
                // cursor: pointer;
                position: relative;
                .item-image-content{
                  position: absolute;
                  height: 100%;
                  width: 100%;
                  top: 0;
                  left: 0;
                  z-index: 1;
                }
                
                &.--success{
                  .icon-success-image{
                    visibility: visible;
                  }
                  .icon-danger-image{
                    visibility: hidden;
                  }
                }
                &.--danger{
                  .icon-success-image{
                    visibility: hidden;
                  }
                  .icon-danger-image{
                    visibility: visible;
                  }
                }
            }
           }
        }
       
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 3.2rem 2.4rem 4.4rem;
    position: relative;

    &__container{
      & > div > div {
        &:nth-child(2){
          display: none;
        }
      }
    }
  }
}

@include screen-1024-landscape{
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
    }
    
    &__right {
      position: relative;
      max-width: 100%;
      width:100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
         .wrap-image{
          position: relative;
          max-height: 100%;
          max-width: unset;
          object-fit: contain;
          .image-instruction{
            max-width: unset;
            max-height: 100%;
            object-fit: contain;
          }
          .icon-danger-image,
          .icon-success-image{
            height: 20px;
            width: 20px;
            position: absolute;
            top: -8px;
            left: 50%;
            transform: translateX(-50%);
            visibility: hidden;
          }
         }

         .__content_colour{
          overflow: hidden;
          .__colour_list{
            height: 80%;
            overflow: auto;
            padding-top: 1rem;
          }

          .__remove_colour_wrap{
            height: 20%;
            padding: 0;
          }
        }
      }
    }
  }
}

@media only screen and (min-width: 769px) and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
  
    }
  
    &__right {
        width: 100%;
        max-width: calc(100% - 5vw);
        height: fit-content;
       
      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
      }
  
      & > .__content {
        padding: 2rem 2.6rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 100px;
          width: 100%;
          display: flex;
          padding: 1rem 2rem;
          padding-right: 0;
          
          .__colour_list{
            flex: none;
            width: 60%;
            height: 100%;
            padding: 0 1rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;

            .__colour_item{
              margin-bottom: auto;
              margin-top: auto;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 40%;
            height: 100%;
            border-top: none;
            border-left: 3px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 3rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  
    }
}

@media only screen and (max-width: 768px) and (max-aspect-ratio:3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      flex-direction: column;
      overflow-y: auto;
  
    }
  
    &__right {
        width: 100%;
        max-width: calc(100% - 5vw);
        height: fit-content;

        & > .__header {
          padding: 1.6rem 3.2rem;
          background: linear-gradient($mayaBlue, $dodgerBlue);
          border-radius: 1.2rem 1.2rem 0 0;
          color: $white;
          font-family: 'mont_m';
          font-size: 1.4rem;
          line-height: 2.2rem;
          position: relative;
          text-align: center;
          max-height: 45%;
          overflow: auto;
          
        }
  
      & > .__content {
        padding: 2rem 2.6rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 100px;
          width: 100%;
          display: flex;
          padding: 1rem;
          
          .__colour_list{
            flex: none;
            width: 60%;
            height: 100%;
            padding: 0 1rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;

            .__colour_item{
              margin-bottom: auto;
              margin-top: auto;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 40%;
            height: 100%;
            border-top: none;
            border-left: 3px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 3rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  
    }
}

@include screen-mobile-portrait {
  body#practice-test button {
    font-size: 1.2rem;
  }
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      overflow-y: auto;
  
    }
  
    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: fit-content;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 6rem;
        overflow: auto;
      }
  
      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        height: calc(100% - 8.6rem);
        align-items: center;

        .__temp_column{
          display: none;
        }
        .__content_colour{
          height: 85px;
          width: 100%;
          display: flex;
          padding: 0;
          padding-right: 0;
          padding-left: 0.6rem;
          
          .__colour_list{
            flex: none;
            width: 80%;
            height: 100%;
            padding: 0.6rem 0;
            padding-right: 0.6rem;
            display: flex;
            flex-direction: column-reverse;
            flex-wrap: wrap;
            justify-content: space-evenly;
            align-items: center;
            overflow-x: scroll;

            .__colour_item{
              margin-bottom: 0;
              margin-top: 0;
              height: 26px;
              width: 26px;
              margin-left: 4px;
              margin-right: 4px;
            }
          }
          .__remove_colour_wrap{
            flex: none;
            width: 20%;
            height: 100%;
            border-top: none;
            border-left: 2px solid #d4f1ff;
          }
        }
        .__content_image{
          width: 100%;
          height: fit-content;
          margin-bottom: 1.6rem;

          .wrap-image{
            position: relative;
            object-fit: contain;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        
         
      }
    }
  }
}

@include screen-960-landscape {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
    }
  
    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 8.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 0.6rem 1rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 8.6rem);
        .__content_image{
          width: calc(100% - 240px);

          .wrap-image{
            position: relative;
            .image-instruction{
              max-height: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
        .__content_colour{
          overflow: hidden;
          padding: 1.2rem 0rem 0 0.6rem;
          .__colour_list{
            height: calc(100% - 42px);
            overflow: auto;
            padding-top: 1rem;
            justify-content: space-evenly;
            padding-right: 0.6rem;
          }

          .__remove_colour_wrap{
            height: 42px;
            padding: 0;
          }
        }
         
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}

@include screen-768-landscape{
  body#practice-test button{
    font-size: 1.2rem;
  }
  .pt-o-game-fill-in-colour-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
  
    }
  
    &__right {
      position: relative;
      max-width: 100%;
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';
  
      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 5.6rem;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }
  
      & > .__content {
        padding: 0.5rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-around;
        height: calc(100% - 5.6rem);
        .__temp_column{
          width: 89px;
        }
        .__content_colour{
          width: 89px;
          .__colour_item{
            height: 26px;
            width: 26px;
          }

          .__remove_colour{
            height: 26px;
            width: 26px;
          }
        }
        .__content_image{
          width: calc(100% - 220px);
          .wrap-image{
            position: relative;
            max-height: 100%;
            object-fit: contain;
            max-width: unset; 
            .image-instruction{
              max-height: 100%;
              max-width: 100%;
              object-fit: contain;
            }
            .icon-danger-image,
            .icon-success-image{
              height: 20px;
              width: 20px;
              position: absolute;
              top: -8px;
              left: 50%;
              transform: translateX(-50%);
              visibility: hidden;
            }
           }
        }
         
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}